## ros-indigo-cob-robots 0.6.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_robots)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-cob-robots (0.6.9-0trusty) trusty; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-robots (0.6.8-0trusty) trusty; urgency=high

  * Merge pull request #744 <https://github.com/ipa320/cob_robots/issues/744> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #707 <https://github.com/ipa320/cob_robots/issues/707> from ipa-fxm/update_maintainer
    update maintainer
  * Merge github.com:ipa320/cob_robots into indigo_dev
    Conflicts:
    cob_default_robot_config/robots/cob4-8/script_server/command_gui_buttons.yaml
  * update maintainer
  * Merge pull request #686 <https://github.com/ipa320/cob_robots/issues/686> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-nhg, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-robots (0.6.7-0trusty) trusty; urgency=high

  * moved cob_supported_robots to standalone repo
  * remove obsolete package cob_controller_configuration_gazebo
  * added cob_supported_robots package
  * Merge pull request #573 <https://github.com/ipa320/cob_robots/issues/573> from ipa-fxm/move_cob_moveit_config
    move cob_moveit_config
  * add missing cob_default_robot_behavior to meta-package
  * adjust version + add to meta-package
  * manually fix changelog
  * Contributors: Felix Messmer, Mathias Lüdtke, ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 30 Jul 2017 22:00:00 -0000

ros-indigo-cob-robots (0.6.6-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-robots (0.6.5-0trusty) trusty; urgency=high

  * cob_behaviour
  * cob_behaviour
  * Contributors: ipa-cob4-2

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-robots (0.6.4-0trusty) trusty; urgency=high

  * migrate to package format 2
  * remove trailing whitespaces
  * revies dependencies
  * Contributors: ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Fri, 28 Aug 2015 22:00:00 -0000

ros-indigo-cob-robots (0.6.3-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-robots (0.6.2-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Tue, 06 Jan 2015 23:00:00 -0000

ros-indigo-cob-robots (0.6.1-0trusty) trusty; urgency=high

  * merge
  * move cob_monitoring to cob_command_tools
  * Contributors: Florian Weisshardt, ipa-nhg

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-cob-robots (0.6.0-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 17 Sep 2014 22:00:00 -0000

ros-indigo-cob-robots (0.5.4-0trusty) trusty; urgency=high

  * New maintainer
  * Contributors: ipa-nhg

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-indigo-cob-robots (0.5.3-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Thu, 27 Mar 2014 23:00:00 -0000

ros-indigo-cob-robots (0.5.2-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 26 Mar 2014 23:00:00 -0000

ros-indigo-cob-robots (0.5.1-0trusty) trusty; urgency=high

  * Initial catkinization.
  * Contributors: abubeck

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 19 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-cob-robots
Section: misc
Priority: extra
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/cob_robots
Standards-Version: 3.9.2

Package: ros-indigo-cob-robots
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cob-bringup, ros-indigo-cob-default-robot-behavior, ros-indigo-cob-default-robot-config, ros-indigo-cob-hardware-config, ros-indigo-cob-moveit-config
Description: This stack holds packages for hardware configuration as well as launch files for starting up the basic layer for operating Care-O-bot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-robots//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
